Name:           synce-serial
Version:        0.11
Release:        3%{?dist}
Summary:        Serial connection support for Pocket PC devices

Group:          Applications/Communications
License:        MIT
URL:            http://www.synce.org
Source0:        http://download.sf.net/synce/synce-serial-%{version}.tar.gz
Source1:        synce-serial-README.Fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       ppp
Requires:       udev

%description
Synce-serial is part of the SynCE project: http://www.synce.org

This module contains helper scripts for setting up a serial connection for use
with SynCE. They are basically wrappers around pppd:
  synce-serial-config  - Use this to select serial port and IP addresses
  synce-serial-start   - Use this to start connection
  synce-serial-abort   - Use this to abort a connection

Please read the included README.Fedora for details

%prep
%setup -q
cp -p %{SOURCE1} README.Fedora

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/

mv $RPM_BUILD_ROOT%{_datadir}/synce/*rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.Fedora TODO
%{_sbindir}/synce-serial-*
%{_libexecdir}/synce-serial-chat
%{_datadir}/synce/
%{_mandir}/man8/synce-serial-*
%config %{_sysconfdir}/udev/rules.d/*.rules

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.11-2
- Autorebuild for GCC 4.3

* Wed Jan 09 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-1
- version upgrade
- remove dependency on vdccm

* Fri Dec 21 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- correct Requires
- fix #249031 udev rule

* Wed May 09 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.10.0-1
- version 0.10.0

* Mon Apr 02 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.1-2
- fix typo in description
- make udev rules %%config(noreplace)

* Sat Mar 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.1-1
- split off the synce package
